com.amazonaws.jmespath

## Class JmesPathAndExpression

- java.lang.Object
- - com.amazonaws.jmespath.JmesPathAndExpression

All Implemented Interfaces:
  JmesPathExpression

    public class JmesPathAndExpression
    extends Object
    implements JmesPathExpression

Implements logical AND on the given expressions

### Constructor Summary

Constructors
Constructor and Description
`JmesPathAndExpression(JmesPathExpression lhsExpr, JmesPathExpression rhsExpr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<Input,Output> Output` `accept(JmesPathVisitor<Input,Output> visitor, Input input)` Delegates to either the CodeGen visitor(JmesPathAndExpression) or Evaluation visitor(JmesPathAndExpression) based on the type of JmesPath visitor
`JmesPathExpression` `getLhsExpr()`
`JmesPathExpression` `getRhsExpr()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JmesPathAndExpression

    public JmesPathAndExpression(JmesPathExpression lhsExpr,
                                 JmesPathExpression rhsExpr)

### Method Detail

#### getLhsExpr

    public JmesPathExpression getLhsExpr()

#### getRhsExpr

    public JmesPathExpression getRhsExpr()

#### accept

    public <Input,Output> Output accept(JmesPathVisitor<Input,Output> visitor,
                                        Input input)
                                 throws InvalidTypeException

Delegates to either the CodeGen visitor(JmesPathAndExpression) or Evaluation visitor(JmesPathAndExpression) based on the type of JmesPath visitor

Specified by:
  `accept` in interface `JmesPathExpression`
Type Parameters:
  `Input` - Input type for the visitor CodeGen visitor: Void Evaluation visitor: JsonNode
  `Output` - Output type for the visitor CodeGen visitor: String Evaluation visitor: JsonNode
Parameters:
  `visitor` - CodeGen visitor or Evaluation visitor
  `input` - Input expression that needs to be evaluated
Returns:
  Corresponding output is returned. Evaluated String in the case of CodeGen visitor or an evaluated JsonNode in the case of Evaluation visitor
Throws:
  `InvalidTypeException`